Loading...
Searching...
No Matches
mce::core::ThreadFunc Struct Referenceabstract

Abstract type-erased callable interface used as a thread entry point. More...

`#include <Thread.hpp>`

Inheritance diagram for mce::core::ThreadFunc:

## Public Member Functions

virtual | ~ThreadFunc ()
| Virtual destructor to allow safe deletion via base pointer.
virtual void | run ()=0
| Execute the wrapped callable.

## Detailed Description

Abstract type-erased callable interface used as a thread entry point.

Concrete adapters derive from ThreadFunc and implement run() to invoke the wrapped callable.

## Member Function Documentation

## run()

virtual void mce::core::ThreadFunc::run | ( |  | ) |

pure virtual

Execute the wrapped callable.

Implementations must run the stored callable when this method is invoked.

Implemented in mce::core::ThreadFunctor< F >, mce::core::ThreadMemberFunctor< C >, and mce::core::ThreadMemberFunctorWithArgs< C, Args >.

The documentation for this struct was generated from the following file:

- Minecraft-Community-Edition/Core/Thread.hpp